<template>
  <div>
    <closeheader v-bind:titolosezione="$t('dettaglio_contribuzioni')" :back='true'/>

    <v-container mb-5 pb-5 grid-list-md text-xs-center class="maxwidth">
      <v-layout row wrap mx-1 px-3 align-center>
        <v-carousel hide-delimiters height="auto" interval="10000000" class="carosello-contributo">
          <v-carousel-item v-for="p in this.filtered" v-bind:key="p.id">
            <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout row wrap px-0>
                <v-flex xs2 sm2 md2>
                  <h2 class="percentuale">{{p.percentage}}%</h2>
                </v-flex>
                <v-flex xs10 sm10 md10></v-flex>
              </v-layout>

              <v-layout row wrap px-0> 
                <v-flex xs12 sm12 md12>
                  <p class="nomeazienda text-xs-left">{{p.farmer.name}}</p>
                </v-flex>
              </v-layout>

              <v-layout row wrap px-0 >
                <v-flex xs12 sm12 md12>
                  <p v-if="lang === 'it'"
                    class="descrizioneazienda text-xs-left"
                  >{{p.farmer.description_it}}</p>
                  <p v-if="lang === 'en'"
                    class="descrizioneazienda text-xs-left"
                  >{{p.farmer.description_en}}</p>
                </v-flex>
              </v-layout>
            </v-container>

            <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs4 sm4 md4>
                  <h3 class="text-xs-left titoletto">{{ $t('data_di_munta') }}</h3>
                </v-flex>
                <v-flex xs8 sm8 md8>
                  <p class="px-0 text-xs-right">{{p.milked | moment("DD/MM/YYYY")}}</p>
                </v-flex>
              </v-layout>
            </v-container>


                <v-container grid-list-md text-xs-center class="maxwidth">
                  <v-layout class="bordobottom text-xs-center" row wrap px-0>
                    <v-flex xs4 sm4 md4>
                      <h3 class="text-xs-left titoletto">{{ $t('la_razza') }}</h3>
                    </v-flex>
                    <v-flex xs6 sm6 md6 class="text-xs-center">
                      <p class="mx-0 text-xs-right">{{ $t('bufala_mediterranea') }}</p>
                    </v-flex>
                    <v-flex xs2 sm2 md2>
                        <img @click="show = !show" class="ic-info text-xs-right" src="../assets/Icons/info color@2x.png">
                      </v-flex>
                      <v-flex xs12>
                        <v-tooltip top v-model="show" attach class="info-tooltip">
                          <span class="px-0 text-xs-right">{{ $t('descrizione_bufala_mediterranea') }}</span>
                        </v-tooltip>
                      </v-flex>
                  </v-layout>
                </v-container>

           <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('ID_toro') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.farmer.bull_id}}</p>
                </v-flex>
              </v-layout>
            </v-container>

            <v-container class="maxwidth">
              <v-layout mb-2 align-center justify-center row fill-height>
                <v-flex>
                  <button class="bottone mb-5">
                    <router-link :to="{name:'DettagliMungitura', params: { parent: 'contributore', milkline: p.farmer.milking_parlor }}">
                      <span>{{ $t('vedi_i_dettagli_mungitura') }}</span>
                    </router-link>
                  </button>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        </v-carousel>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
import closeheader from '@/components/closeheader'

export default {
  name: 'contributore',
  data () {
    return {
      batch_code: this.$store.getters.batch_code,
      show: false,
      code: this.$route.params.code,
      titolo: '',
      lang: this.$route.params.lang,
      parsed: this.$store.getters.PARSEDINFO
    }
  },
  components: {
    closeheader
  },
  computed: {
    filtered: function () {
      let filteredlist = []
      for (var f in this.parsed.farmerbatches) {
        var checking = this.parsed.farmerbatches[f]
        console.log(checking)
        console.log(this.code)
        if (checking.code === this.code) {
          filteredlist.push(checking)
        }
      }
      console.log(filteredlist)
      return filteredlist
    }
  }
}
</script>

<style>
.percentuale {
  color: #000000;
  font-size: 2rem;
}
.nomeazienda {
  font-weight: bold;
}

.bordobottom {
  border-bottom: 2px solid #ffffff;
}
.titoletto {
  white-space: nowrap;
}
.ic-info {
  width: 100%;
  max-width: 40px;
}
.ow {
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}
a{
  text-decoration: none;
  color: #000000;
}
.bottone {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}

p{
  padding-bottom: 0px!important;
}

.carosello-contributo .v-carousel__prev, .carosello-contributo .v-carousel__next {
  top: 81%!important;
}

.v-tooltip__content.menuable__content__active{
  top:150px!important;
}
@media screen and (min-width: 600px){

.v-tooltip__content.menuable__content__active{
  top:180px!important;
}
}
@media screen and (min-width: 770px){

.v-tooltip__content.menuable__content__active{
  top:230px!important;
}
}
</style>